<template>
	<view class="older-detail" style="padding-bottom: 300rpx;">
		<view style="font-weight: bold;font-size: 36rpx;color: #1EDA94;">
			<view v-if="order.status ==1">待付款...</view>
			<view v-if="order.status ==2">待服务</view>
			<view v-if="order.status ==5">已完成</view>
			<view v-if="order.status ==6">服务中</view>
			<view v-if="order.status ==7">已出发</view>
			<view v-if="order.status ==8">已到达</view>
			<view v-if="order.status ==3">待评价</view>
			<view v-if="order.status ==4" style="color: #999999;">已取消</view>
		</view>
		
		<view class=" bg"
			@tap="bindGps(order.latitude,order.longitude,order.address)">
			<view>
				<view class="flex align-center justify-between" style="font-weight: bold;font-size: 32rpx;color: #222222;" @tap.stop="copyAddress()"
					v-if="order.status !=1 && order.status !=5 && order.status !=3 && order.status !=4">
					<text>{{order.userName}}</text>
					
					<text>{{order.phone ? order.phone.substring(0,3) + '****' + order.phone.substring(7,11) : ''}}</text>
					
					<!-- <u-icon name="file-text"></u-icon> -->
				</view>
				<view  class="flex align-center justify-between" style="font-weight: bold;font-size: 32rpx;color: #222222;" v-else>
					<text>{{order.userName}}</text>
					<text>{{order.phone ? order.phone.substring(0,3) + '****' + order.phone.substring(7,11) : ''}}</text>
				</view>
				<view  style="font-size: 28rpx;color: #AAAAAA; margin-top:20rpx;">地址：{{order.address}}</view>
			</view>
		</view>
		
		<view class="u-skeleton">
			<view class="u-skeleton-fillet">
				<view class="bg ">
					<view class="flex justify-around">
						<view class="" style="width: 160rpx;height: 160rpx;">
							<image :src="order.ordersMassageList[0].massageType.massageImg"
								style="width: 100%;height: 100%;border-radius: 32rpx;"></image>
						</view>
						<view class="u-flex-1  margin-left-sm">
							<view class="flex">
							<!-- 	<image src="../../static/images/geren.png" style="width: 35rpx;height: 35rpx;">
								</image> -->
								<view class=" u-skeleton-fillet"
									style="display: inline-block;width: 400rpx; overflow: hidden;white-space: nowrap;text-overflow: ellipsis;font-weight: bold;font-size: 32rpx;color: #222222;margin-top: 24rpx;">
									{{order.ordersMassageList[0].massageType.title}}
								</view>
							</view>

							<view class="flex justify-between" style="font-size: 28rpx;color: #AAAAAA;margin-top: 20rpx;">
								<view>时长：{{order.ordersMassageList[0].massageType.duration}}分钟
									x{{order.ordersMassageList[0].num}}</view>
							</view>

						</view>
					</view>
					<view style="display: flex;justify-content: space-between;padding-top: 20rpx;border-top:1rpx solid #F0F0F0;margin-top: 24rpx;">
						<view class="" style="font-size: 28rpx;">
							实付：
						</view>
						<view style="font-weight: bold;font-size: 40rpx;color: #F24E4E;">￥{{order.payMoney}}</view>
					</view>
				</view>
				<!-- <view class="flex justify-between margin-top-lg" v-if="order.artificerTaxiMoney">
					<view style="width: 180upx;">出行交通费用</view>
					<view class="">￥{{order.artificerTaxiMoney}}</view>
				</view> -->
				
				<view class="bg" style="padding-top: 0;">
					<view class="flex justify-between padding-top" v-if="order.couponMoney">
						<view style="width: 120upx;" class="label" >优惠券</view>
						<view class="value">￥{{order.couponMoney}}</view>
					</view>
					<view class="flex justify-between padding-top" v-if="order.addNum">
						<view style="width: 120upx;" class="label">加钟次数</view>
						<view class="value">{{order.addNum}}</view>
					</view>
					<view class="flex justify-between padding-top" v-if="order.addTime">
						<view style="width: 120upx;" class="label">加钟时长</view>
						<view class="value">{{order.addTime}}分钟</view>
					</view>
					<view class="flex justify-between padding-top" v-if="order.addMoney">
						<view style="width: 120upx;" class="label">加钟费用</view>
						<view class="value">￥{{order.addMoney}}</view>
					</view>
				</view>
				
				<!-- <view class="flex align-center " style="margin-top:35rpx">
					<image :src="order.artificer.artificerImg" style="width:100upx;height: 100upx;border-radius: 50%;"></image>
					<view class="margin-left-sm">
						<view class="flex align-center">
							<view class="text-bold text-df ">{{order.artificer.artificerName}}</view>
							<image src="../../static/img/phone.png" style="width: 10px;height: 13px;margin-left: 11px;"
								@click="bindphone(order.artificer.phone)"></image>
						</view>
						<view class="flex align-center flex-wrap">
							<view class="margin-right">
								<image src="../../static/images/start.png" style="width: 24rpx;height: 22rpx;"></image>
								<text style="color: #F93731;margin-left: 5rpx;">5.0</text>
							</view>
							<text class="margin-bottom-xs box" style="margin-right: 10upx;">健康理疗师</text>
						</view>
					</view>
				</view> -->
				
				<view class="bg">
					<view class="sub-title">
						订单信息
					</view>
					<view class="margin-right-xs">
						<view class="flex justify-between margin-top-lg">
							<view style="width: 120upx;" class="label">订单编号</view>
							<view class="flex align-center" @tap="copy(order.ordersNo)">
								<view class="value">{{order.ordersNo}}</view>
								<u-icon name="file-text"></u-icon>
							</view>
						</view>
						<view class="flex justify-between margin-top-lg" style="color: red;">
							<view style="width: 120upx;" class="label">预约时间</view>
							<view class="value">{{order.serveTime}}</view>
						</view>
						<view class="flex justify-between margin-top-lg">
							<view style="width: 120upx;" class="label">下单时间</view>
							<view class="value">{{order.createTime}}</view>
						</view>
						<view class="flex justify-between margin-top-lg" v-if="order.startTime">
							<view style="width: 200rpx;" class="label">开始服务时间</view>
							<view class="value">{{order.startTime}}</view>
						</view>
						<view class="flex justify-between margin-top-lg" v-if="order.endTimes">
							<view style="width: 200rpx;" class="label">结束服务时间</view>
							<view class="value">{{order.endTimes}}</view>
						</view>
						<view class="flex justify-between margin-top-lg" v-if="order.endTime">
							<view style="width: 200rpx;" class="label">预估结束时间</view>
							<view class="value">{{order.endTime}}</view>
						</view>
						<view class="flex justify-between margin-top-lg" v-if="order.tripWay">
							<view style="width: 120upx;" class="label">出行方式</view>
							<view class="value" v-if="order.tripWay == 1">公交</view>
							<view class="value" v-if="order.tripWay == 2">出租</view>
							<view class="value" v-if="order.tripWay == 3">免费</view>
						</view>
						<view class="flex justify-between margin-top-lg" v-if="order.km">
							<view style="width: 120upx;" class="label">全程距离</view>
							<view class="value">{{order.km}}km</view>
						</view>
						<view class="flex justify-between margin-top-lg" v-if="order.artificerTaxiMoney">
							<view style="width: 120upx;" class="label">出行费用</view>
							<view class="value">￥{{order.artificerTaxiMoney}}</view>
						</view>
						<!-- <view class="flex justify-between margin-top-lg" v-if="order.pingMoney">
							<view style="width: 120upx;">平台费用</view>
							<view class="">￥{{order.pingMoney}}</view>
						</view> -->
						<!-- <view class="flex justify-between margin-top-lg" v-if="order.pingTaxiMoney">
							<view style="width: 240rpx;">平台扣除交通费用</view>
							<view class="">￥{{order.pingTaxiMoney}}</view>
						</view> -->
						<view class="flex justify-between margin-top-lg" v-if="sumMoney">
							<view style="width: 120upx;" class="label">项目费用</view>
							<view class="value">￥{{sumMoney}}</view>
						</view>
						<view class="flex justify-between margin-top-lg"
							v-if="order.status !=1 && order.status !=5 && order.status !=3 && order.status !=4">
							<view style="width: 170rpx;" class="label">联系客户</view>
							<view class="value" @click="bindphone(order.phone)">
								{{order.phone ? order.phone.substring(0,3) + '****' + order.phone.substring(7,11) : ''}}
								<image src="../../static/images/phone.png" style="width: 15px;height: 15px;"></image>
							</view>
						</view>
						<view class="flex justify-between margin-top-lg" v-if="order.remark">
							<view style="width: 170rpx;" class="label">备注内容</view>
							<view class="flex">
								<view class="value">
									{{order.remark}}
								</view>
							</view>
						</view>
						
					</view>
						<view class="flex justify-between margin-top-lg" style="padding-top: 30rpx;border-top: 1rpx solid #F0F0F0;">
							<view  class="sub-title">预计收益</view>
							<view style="font-size: 28rpx;font-weight: bold;color: #F24E4E;">￥<text style="font-size: 40rpx;font-weight: bold;color: #F24E4E;">{{order.sumArtificerMoney}}</text>
							</view>
						</view>
				</view>

				
			</view>

			<view class="bg" v-if="order.startImg && startImgSel != '否'">
				<view class="sub-title">服务前照片</view>
				<view class="flex flex-wrap justify-between">
					<view class="flex margin-bottom-sm"
						style="width: 48%;height: 200rpx;margin-right: 5rpx;position: relative;"
						v-for="(image,index) in order.startImg" :key="index" @click="saveImg( order.startImg,index)">
						<image :src="image" style="width: 100%;height: 100%;border-radius: 10upx;" mode="aspectFill">
						</image>
					</view>
				</view>
			</view>

			<view class="bg" v-if="order.status==8 && startImgSel != '否'">
				<view class="text-lg text-bold margin-bottom">服务前照片</view>

				<view class="flex flex-wrap">
					<view v-if="startImgs.length">
						<view class="flex margin-right-sm flex-wrap">
							<view class="flex"
								style="width: 200rpx;height: 200rpx;margin-right: 5rpx;position: relative;"
								v-for="(image,index) in startImgs" :key="index">
								<image :src="image" style="width: 100%;height: 100%;"></image>
								<view style="z-index: 9;position: absolute;top: -15rpx;right: -15rpx;"
									@click="removeImg(index,1)">
									<u-icon name="close-circle-fill" color="#2979ff" size="50rpx"></u-icon>
								</view>

							</view>
						</view>
					</view>
					<view class="flex align-center justify-center padding-tb "
						style="background: #f5f5f5;width: 200rpx;height: 200rpx;">
						<view class="text-center" @click="addImage(1)">
							<image src="../static/photo.png" style="width:60upx;height: 50upx;"></image>
							<view class="text-sm">上传照片</view>
						</view>
					</view>
				</view>
			</view>

			<!-- <view class="bg padding radius margin-top-sm">
				<view class="text-lg text-bold">
					服务信息
				</view>
				<view class="margin-right-xs">
					<view class="flex justify-between margin-top-lg">
						<view style="width: 170rpx;">服务时间</view>
						<view class="">
							<text>{{order.serveTime}}</text>
						</view>
					</view>
					<view class="flex justify-between margin-top-lg">
						<view style="width: 170rpx;">服务地点</view>
						<view class="flex" @tap="bindGps(order.latitude,order.longitude,order.address)">
							<view class="">
								{{order.address}}
								<image src="../../static/images/address.png" style="width: 13px;height: 15px;"></image>
							</view>
						</view>
					</view>

					<view class="flex justify-between margin-top-lg">
						<view style="width: 170rpx;">联系方式</view>
						<view class="" @click="bindphone(order.phone)">
							{{order.phone}}
							<image src="../../static/images/phone.png" style="width: 15px;height: 15px;"></image>
						</view>
					</view>
					<view class="flex justify-between margin-top-lg" v-if="order.remark">
						<view style="width: 170rpx;">备注内容</view>
						<view class="flex">
							<view class="">
								{{order.remark}}
							</view>
						</view>
					</view>
				</view>
			</view> -->
			<view class="flex tabber padding-top-sm padding-bottom-sm align-center">
				<u-button @click="cancelOrder(order)" shape="circle" class="margin-right" :custom-style="customStyle"
					:hair-line="false" v-if="order.status == 2">取消订单
				</u-button>
				<!-- 当订单状态为2 时  按钮为 现在出发  当状态为7时 按钮为 我已到达 然后状态为8 的时候 按钮就是现在的 开始服务 -->
				<u-button @click="cxOrder(order)" class="margin-right" shape="circle" :custom-style="customStyle2"
					:hair-line="false" v-if="order.status == 2">现在出发
				</u-button>
				<u-button @click="cxOrder(order)" class="margin-right" shape="circle" :custom-style="customStyle2"
					:hair-line="false" v-if="order.status == 7">我已到达
				</u-button>
				<u-button @click="fuwuOrder(order)" class="margin-right" shape="circle" :custom-style="customStyle2"
					:hair-line="false" v-if="order.status == 8">开始服务
				</u-button>
				<u-button @click="cancel(order)" class="margin-right" shape="circle" :custom-style="customStyle2"
					:hair-line="false" v-if="order.status == 6">服务完成
				</u-button>
				<u-button class="margin-right" :custom-style="customStyle2" shape="circle" :plain="true"
					@click="goChat">联系客服</u-button>
			</view>
		</view>
		<u-skeleton :loading="loading" :animation="true" bgColor="#FFF"></u-skeleton>


		<!-- #ifndef H5 -->
		<image src="../../static/images/index/jinji.png" class="bj_view" @tap="goBaoJing"></image>
		<!-- #endif -->
		<!-- 支付方式 -->
		<u-popup v-model="showpay" mode="bottom" :closeable="closeable">
			<view class="popup_pay">
				<view style="background-color: #fff;">
					<view style="padding: 0 20upx;margin-top: 60rpx;margin-bottom: 20rpx;">
						<view
							style="display: flex;height: 100upx;align-items: center;padding: 20upx 0;justify-content: center;"
							v-for="(item,index) in openLists" :key='index'>
							<image :src="item.image" style="width: 55upx;height: 55upx;border-radius: 50upx;">
							</image>
							<view style="font-size: 30upx;margin-left: 20upx;width: 70%;">
								{{item.text}}
							</view>
							<radio-group name="openWay" style="margin-left: 45upx;" @tap='selectWay(item)'>
								<label class="tui-radio">
									<radio color="#1777FF" :checked="openWay === item.id ? true : false" />
								</label>
							</radio-group>
						</view>
					</view>
				</view>
				<view class="pay_btn" @click="pay()">确认支付</view>
			</view>
		</u-popup>

	</view>

</template>

<script>
	import configdata from '../../common/config.js';
	export default {
		data() {
			return {
				startImgs: [],
				startImg: '',
				endImgs: [],
				endImg: '',
				latitude: '',
				longitude: '',
				loading: true,
				customStyle: {
					border: '2rpx solid #AAAAAA',
					background: '#FFFFFF',
					color: '#222222',
					margin: '0 20upx',
					width: '214rpx',
					height: '100rpx',
					lineHeight: '100rpx',
					borderRadius: '60rpx',
					fontWeight: 'bold',
					fontSize: '32rpx',
				},
				customStyle2: {
					backgroundColor: '#1EDA94',
					color: '#FFFFFF',
					margin: '0 20upx',
					width: '214rpx',
					height: '100rpx',
					lineHeight: '100rpx',
					borderRadius: '60rpx',
					fontWeight: 'bold',
					fontSize: '32rpx',
					
				},
				id: '',
				order: {
					user: {},
					game: {}
				},
				isTrue: 0,
				sumMoney: 0,
				phone: '',
				isVip: false,
				birthDate: '',
				age: '',
				showpay: false,
				openLists: [],
				openWay: 1,
				closeable: true,
				startImgSel: '否'
			}
		},
		onLoad(e) {
			this.startImgSel = this.$queue.getData('startImgSel');
			uni.showLoading({
				title: '加载中......'

			})
			let that = this;
			uni.getLocation({
				type: 'wgs84',
				success: function(res) {
					console.log('当前位置的经度：' + res.longitude);
					console.log('当前位置的纬度：' + res.latitude);
					that.$queue.setData('longitude', res.longitude);
					that.$queue.setData('latitude', res.latitude);
					that.latitude = res.latitude
					that.longitude = res.longitude
				}
			});
			// setTimeout(() => {
			// 	// this.loading = false;
			// }, 2000)
			this.isTrue = e.isTrue
			if (this.isTrue) {
				uni.setNavigationBarTitle({
					title: '订单详情'
				})
			}
			this.ordersId = e.ordersId
			// this.getOrder()
		},
		onShow() {
			let that = this;
			this.getOrder()
			this.token = uni.getStorageSync('token')
			if (uni.getStorageSync('token')) {
				this.getIsVip()
			}

			// #ifdef APP
			this.openLists = [{
					image: '../../static/images/icon_weixin.png',
					text: '微信',
					id: 2
				}, {
					image: '../../static/images/lingqian.png',
					text: '零钱支付',
					id: 1
				}, {
					image: '../../static/images/zhifubao.png',
					text: '支付宝支付',
					id: 3
				}],
				this.openWay = 1;
			// #endif

			// #ifdef MP-WEIXIN
			this.openLists = [{
					image: '../../static/images/icon_weixin.png',
					text: '微信',
					id: 2
				}, {
					image: '../../static/images/lingqian.png',
					text: '零钱支付',
					id: 1
				}],
				this.openWay = 1;
			// #endif

			// #ifdef H5
			this.openLists = [{
					image: '../../static/images/lingqian.png',
					text: '零钱支付',
					id: 1
				}, {
					image: '../../static/images/zhifubao.png',
					text: '支付宝支付',
					id: 3
				}],
				this.openWay = 1;
			// #endif
		},
		methods: {
			goBaoJing() {
				uni.navigateTo({
					url: '/pages/index/jinji'
				});
			},
			goChat() {
				let kefu = this.$queue.getData('kefu'); // 用户端联系方式 1 手机号 2企业微信 
				let kefuPhone = this.$queue.getData('kefuPhone');
				if (uni.getStorageSync('token')) {
					if (kefu == 1) {
						uni.makePhoneCall({
							phoneNumber: kefuPhone //仅为示例
						});
					} else {
						// #ifdef MP-WEIXIN
						let that = this
						try {
							wx.openCustomerServiceChat({
								extInfo: {
									url: that.$queue.getData('kefuUrl')
								},
								corpId: that.$queue.getData('kefuAppId'),
								success(res) {},
								fail(res) {
									console.error(res)
								}
							})
						} catch (error) {
							console.error("catchcatch" + error)
							uni.showToast({
								title: '请更新至微信最新版本'
							});
						}
						// #endif
						// #ifndef MP-WEIXIN
						let url = this.$queue.getData('kefuUrl');
						if (url.indexOf('/pages/') !== -1 || url.indexOf('/my/') !== -1) {
							uni.navigateTo({
								url
							});
						} else {
							//#ifndef H5
							uni.navigateTo({
								url: '/pages/index/webView?url=' + url
							});
							//#endif
							//#ifdef H5
							window.location.href = url;
							//#endif
						}
						// #endif
					}
				} else {
					uni.showModal({
						title: '提示',
						content: '您还未登录,请先登录',
						success: function(res) {
							if (res.confirm) {
								console.log('用户点击确定');
								uni.navigateTo({
									url: '/pages/public/login'
								})
							} else if (res.cancel) {
								console.log('用户点击取消');
							}
						}
					})
				}
			},
			copy(num) {
				uni.setClipboardData({
					data: num,
					success: r => {
						this.$queue.showToast('复制成功');
					}
				});
			},
			//支付选择
			selectWay: function(item) {
				this.openWay = item.id;
			},
			//换算年龄
			getAge(e) {
				console.log('出生日期：' + e)
				this.birthDate = e
				//创建系统日期
				var today = new Date();
				//把出生日期转换成日期
				this.birthDate = new Date(this.birthDate);
				//分别获取到年份后相减
				this.age = today.getFullYear() - this.birthDate.getFullYear();
				// console.log(this.age+'当前年龄')
			},
			// 修改订单地址
			undateAdd(order) {
				if (order.state == 0) {
					uni.navigateTo({
						url: '../address/address?order=' + order.ordersId + '&id=' + 3
					})
				}
			},
			copyAddress() {
				uni.setClipboardData({
					data: this.order.userName + '\n' + this.order.phone + '\n' + this.order.address,
					success: r => {
						this.$queue.showToast('复制成功');
					}
				});
			},
			// 一键导航
			bindGps(latitude, longitude, name, detailsadd) {
				console.log(latitude, longitude, name, detailsadd)
				uni.openLocation({
					latitude: latitude - 0, //要去的纬度-地址       
					longitude: longitude - 0, //要去的经度-地址
					name: name, //地址名称
					address: detailsadd, //详细地址名称
					success: function() {
						console.log('导航成功');
					},
					fail: function(error) {
						console.log(error)
					}
				});
			},
			// 拨打电话
			bindphone(phone) {
				let that = this
				uni.showModal({
					title: '提示',
					content: '是否拨打电话',
					confirmColor:"#1EDA94",
					success: function(res) {
						if (res.confirm) {
							console.log('用户点击确定', phone);
							uni.makePhoneCall({
								phoneNumber: phone //仅为示例
							});
						} else if (res.cancel) {
							console.log('用户点击取消');
						}
					}
				});
			},
			goNav(e) {
				uni.navigateTo({
					url: e
				})
			},
			ysPhone(phoneA, phoneB) {
				this.$Request.getT('/app/user/insertVirtualPhone?phoneA=' + phoneA + '&phoneB=' + phoneB).then(res => {
					if (res.code == 0) {
						this.order.phone = res.data;
					}
				});
			},
			getOrder() {
				let data = {
					ordersId: this.ordersId
				}
				this.$Request.get('/app/artificer/selectOrdersDetails', data).then(res => {
					if (res.code == 0) {
						this.loading = false
						uni.hideLoading()
						this.order = res.data
						if (this.order.artificerTaxiMoney && this.order.sumArtificerMoney) {
							this.sumMoney = parseFloat(parseFloat(this.order.sumArtificerMoney) - parseFloat(this
								.order.artificerTaxiMoney)).toFixed(2);
						} else {
							this.sumMoney = this.order.sumArtificerMoney;
						}
						if (this.order.startImg) {
							this.order.startImg = this.order.startImg.split(',')
						}
						if (this.order.endServiceImg) {
							this.order.endServiceImg = this.order.endServiceImg.split(',')
						}
						let aliphone = this.$queue.getData('aliphone');
						if (aliphone === '是' && this.order.artificer) {
							this.ysPhone(this.order.phone, this.order.artificer.phone);
						}
					}
				})
			},
			delOrder(e) {
				let that = this
				uni.showModal({
					title: '提示',
					content: '确定删除订单吗?',
					confirmColor:"#1EDA94",
					success: function(res) {
						if (res.confirm) {
							let data = {
								ordersId: e.ordersId,
							}
							that.$queue.showLoading('删除中...')
							that.$Request.post('/app/artificer/removeOrders', data).then(res => {
								uni.hideLoading();
								if (res.code == 0) {
									uni.showToast({
										name: "删除成功"
									})
									uni.navigateBack()
								} else {
									that.$queue.showToast(res.msg);
								}
							})
						} else if (res.cancel) {
							console.log('用户点击取消');
						}
					}
				});
			},
			getIsVip() {
				this.$Request.get("/app/UserVip/isUserVip").then(res => {
					if (res.code == 0) {
						this.isVip = res.data
						uni.setStorageSync('isVIP', res.data)
					}
				});
			},
			openpay() {
				this.showpay = true
			},
			// 支付订单
			pay() {
				let that = this
				if (that.openWay == 1) { //零钱支付
					uni.showModal({
						title: '付款提示',
						content: '确认支付' + that.order.payMoney + '元吗?',
						confirmColor:"#1EDA94",
						success: function(re) {
							if (re.confirm) {
								console.log('用户点击确定');
								that.$queue.showLoading('支付中...')
								that.$Request.post("/app/artificer/payOrders", {
									ordersId: that.order.ordersId,
								}).then(res => {
									uni.hideLoading();
									if (res.code == 0) {
										uni.showToast({
											title: '支付成功'
										})
										that.getOrder()
									} else {
										uni.showToast({
											title: res.msg,
											icon: 'none'
										})
									}
								});
							} else if (re.cancel) {
								console.log('用户点击取消');
							}
						}

					})
				} else if (that.openWay == 2) { //微信支付
					// #ifdef MP-WEIXIN
					let data = {
						orderId: that.order.ordersId,
						// type: 3
					}
					that.$Request.post('/app/wxPay/wxPayMpOrder', data).then(ret => {
						console.log(ret)
						if (ret.code == 0) {
							this.showpay = false
							uni.requestPayment({
								provider: 'wxpay',
								timeStamp: ret.data.timestamp,
								nonceStr: ret.data.noncestr,
								package: ret.data.package,
								signType: ret.data.signType,
								paySign: ret.data.sign,
								success: function(ret) {
									console.log(ret)
									uni.showToast({
										title: '支付成功',
										icon: 'none'
									})
									that.getOrder()
									// this.$queue.showToast('支付成功');

									// uni.switchTab({
									// 	url: '/pages/my/index'
									// })
								},
								fail: function(err) {
									// this.$queue.showToast('支付失败');
									uni.showToast({
										title: '支付失败',
										icon: 'nones'
									});
									that.getOrder()
								}
							});
						}
					});
					// #endif

					// #ifdef H5
					let data = {
						orderId: that.order.ordersId,
						// type: 2
					}
					that.$Request.post('/app/wxPay/wxPayJsApiOrder', data).then(rea => {
						that.showpay = false
						that.callPay(rea);
					});
					// #endif

					// #ifdef APP
					let data = {
						orderId: that.order.ordersId,
						// type: 1
					}
					that.$Request.post('/app/wxPay/payAppOrder', data).then(rea => {
						console.log(rea)
						that.showpay = false
						if (rea.code == 0) {
							that.isCheckPay(rea.code, 'wxpay', JSON.stringify(rea.data));
						}
					});
					// #endif
				} else if (that.openWay == 3) { //支付宝支付
					// #ifdef H5
					let data = {
						ordersId: that.order.ordersId,
						type: 2
					}
					that.$Request.post('/app/aliPay/payOrder', data).then(
						rea => {
							that.showpay = false
							const div = document.createElement('div')
							div.innerHTML = rea.data //此处form就是后台返回接收到的数据
							document.body.appendChild(div)
							document.forms[0].submit()
						});
					// #endif

					// #ifdef APP-PLUS
					let data = {
						ordersId: that.order.ordersId,
						type: 1
					}
					that.$Request.post('/app/aliPay/payOrder', data).then(
						rea => {
							that.showpay = false
							that.setPayment('alipay', rea.data);
						});
					// #endif
				}
			},
			callPay: function(response) {
				if (typeof WeixinJSBridge === "undefined") {
					if (document.addEventListener) {
						document.addEventListener('WeixinJSBridgeReady', this.onBridgeReady(response), false);
					} else if (document.attachEvent) {
						document.attachEvent('WeixinJSBridgeReady', this.onBridgeReady(response));
						document.attachEvent('onWeixinJSBridgeReady', this.onBridgeReady(response));
					}
				} else {
					this.onBridgeReady(response);
				}
			},
			onBridgeReady: function(response) {
				let that = this;
				if (!response.package) {
					return;
				}
				WeixinJSBridge.invoke(
					'getBrandWCPayRequest', {
						"appId": response.appid, //公众号名称，由商户传入
						"timeStamp": response.timestamp, //时间戳，自1970年以来的秒数
						"nonceStr": response.noncestr, //随机串
						"package": response.package,
						"signType": response.signType, //微信签名方式：
						"paySign": response.sign //微信签名
					},
					function(res) {
						if (res.err_msg === "get_brand_wcpay_request:ok") {
							// 使用以上方式判断前端返回,微信团队郑重提示：
							//res.err_msg将在用户支付成功后返回ok，但并不保证它绝对可靠。
							uni.hideLoading();

							uni.showToast({
								title: '支付成功',
								icon: 'none'
							})
							that.getOrder()
						} else {
							uni.hideLoading();
						}
						WeixinJSBridge.log(response.err_msg);
					}
				);
			},
			isCheckPay(code, name, order) {
				if (code == 0) {
					this.setPayment(name, order);
				} else {
					uni.hideLoading();
					uni.showToast({
						title: '支付信息有误'
					});
				}
			},
			setPayment(name, order) {
				let that = this
				uni.requestPayment({
					provider: name,
					orderInfo: order, //微信、支付宝订单数据
					success: function(res) {
						uni.hideLoading();
						uni.showToast({
							title: '支付成功',
							icon: 'none'
						})
						that.getOrder()
					},
					fail: function(err) {
						uni.hideLoading();
					},
					complete() {
						uni.hideLoading();
					}
				});
			},
			cxOrder(e) {
				let contentName = '确认已经出发了吗？';
				if (e.status == 7) {
					contentName = '确认到达服务地点准备开始服务了吗？';
				}
				let that = this
				uni.showModal({
					title: '提示',
					content: contentName,
					confirmColor:"#1EDA94",
					success: function(res) {
						if (res.confirm) {
							let data = {
								ordersId: e.ordersId
							}
							that.$queue.showLoading('提交中...')
							that.$Request.post('/app/artificer/artificerStartOrEndTime', data).then(res => {
								uni.hideLoading();
								if (res.code == 0) {
									that.getOrder()
								} else {
									that.$queue.showToast(res.msg);
								}
							})
						} else if (res.cancel) {
							console.log('用户点击取消');
						}
					}
				});
			},
			fuwuOrder(e) {
				let startImg = '';
				if (this.startImgSel === '是') {
					if (this.startImgs.length == 0) {
						this.$queue.showToast('请上传开始服务图片!');
						return;
					}else{
						startImg = this.startImgs.toString();
					}
				}
				let that = this
				uni.showModal({
					title: '提示',
					content: '确认开始服务吗？',
					confirmColor:"#1EDA94",
					success: function(res) {
						if (res.confirm) {
							let data = {
								ordersId: e.ordersId,
								startLongitude: that.longitude,
								startLatitude: that.latitude,
								startImg: startImg
							}
							that.$queue.showLoading('提交中...')
							that.$Request.post('/app/artificer/startOrders', data).then(res => {
								uni.hideLoading();
								if (res.code == 0) {
									that.getOrder()
								} else {
									that.$queue.showToast(res.msg);
								}
							})
						} else if (res.cancel) {
							console.log('用户点击取消');
						}
					}
				});
			},
			// 取消订单
			cancelOrder(e) {
				let that = this
				uni.showModal({
					title: '提示',
					content: '确认取消订单吗？取消订单将会被扣除信用分！',
					confirmColor:"#1EDA94",
					success: function(res) {
						if (res.confirm) {
							let data = {
								ordersId: e.ordersId
							}
							that.$queue.showLoading('提交中...')
							that.$Request.post('/app/artificer/deleteOrders', data).then(res => {
								uni.hideLoading();
								if (res.code == 0) {
									that.getOrder()
								} else {
									that.$queue.showToast(res.msg);
								}
							})
						} else if (res.cancel) {
							console.log('用户点击取消');
						}
					}
				});
			},
			// 查看图片
			saveImg(imgs, index) {
				if (this.LBSelect) {
					if (index == this.LBIndex - 1) {
						return;
					}
				}
				// console.log(imgs)
				let that = this;
				let imgArr = imgs
				// imgArr.push(imgs);
				// //预览图片
				uni.previewImage({
					urls: imgArr,
					current: imgArr[index]
				});
			},
			removeImg(index, state) {
				if (state == 1) {
					this.startImgs.splice(index, 1)
				} else if (state == 2) {
					this.endImgs.splice(index, 1)
				}
			},
			// 图片上传
			addImage(e) {
				let that = this
				uni.chooseImage({
					count: 6,
					sourceType: ['album', 'camera'],
					success: res => {
						for (let i = 0; i < res.tempFilePaths.length; i++) {
							that.$queue.showLoading("上传中...");
							uni.uploadFile({ // 上传接口
								url: that.config("APIHOST1") + '/alioss/upload', //真实的接口地址
								filePath: res.tempFilePaths[i],
								name: 'file',
								success: (uploadFileRes) => {
									if (e == 1) {
										console.log(JSON.parse(uploadFileRes.data).data)
										that.startImgs.push(JSON.parse(uploadFileRes.data).data)
									} else if (e == 2) {
										that.endImgs.push(JSON.parse(uploadFileRes.data).data)
									}
									uni.hideLoading();
								}
							});
						}
					}
				})
			},
			// 完成订单
			cancel(e) {
				let that = this
				uni.showModal({
					title: '提示',
					content: '如果服务未完成点击完成订单会遭到平台违规处理，请确认服务是否完毕?',
					confirmColor:"#1EDA94",
					success: function(res) {
						if (res.confirm) {
							let data = {
								ordersId: e.ordersId,
								accomplishLongitude: that.longitude,
								accomplishLatitude: that.latitude
							}
							that.$queue.showLoading('提交中...')
							that.$Request.post('/app/artificer/accomplishOrders', data).then(res => {
								uni.hideLoading();
								if (res.code == 0) {
									uni.navigateBack()
								} else {
									that.$queue.showToast(res.msg);
								}
							})
						} else if (res.cancel) {
							console.log('用户点击取消');
						}
					}
				});
			},
			goMsg() {
				let data = {
					userId: uni.getStorageSync('userId'),
					focusedUserId: this.order.user.userId
				}
				this.$Request.postJson('/app/chat/insertChatConversation ', data).then(res => {
					if (res.code == 0) {
						let id = this.order.user.userId == res.data.userId ? res.data.focusedUserId : this.order
							.user.userId
						uni.navigateTo({
							url: '/pages/msg/im?chatConversationId=' + res.data.chatConversationId +
								'&byUserId=' + id
						})
					}
				})
			},
			config: function(name) {
				var info = null;
				if (name) {
					var name2 = name.split("."); //字符分割
					if (name2.length > 1) {
						info = configdata[name2[0]][name2[1]] || null;
					} else {
						info = configdata[name] || null;
					}
					if (info == null) {
						let web_config = cache.get("web_config");
						if (web_config) {
							if (name2.length > 1) {
								info = web_config[name2[0]][name2[1]] || null;
							} else {
								info = web_config[name] || null;
							}
						}
					}
				}
				return info;
			},
		}
	}
</script>

<style lang="scss">
	.older-detail {
		background: #F5F6F6;
		padding: 20rpx 32rpx;
		.sub-title{
			font-weight: bold;
			font-size: 32rpx;
			color: #222222;
			margin-bottom: 20rpx;
		}
		
		.label{
			font-size: 28rpx;
			color: #AAAAAA;
		}
		.value{
			font-size: 28rpx;
			color: #222222;
		}
	}

	.bj_view {
		width: 100rpx;
		height: 100rpx;
		border-radius: 100rpx;
		position: fixed;
		right: 30rpx;
		bottom: 180rpx;
	}

	.bg {
		background: #FFFFFF;
		border-radius: 32rpx 32rpx 32rpx 32rpx;
		padding: 24rpx;
		margin-top: 20rpx;
	}

	.tabber {
		width: 100%;
		background: #ffffff;
		position: fixed;
		bottom: 0;
		left: 0;
		right: 0;
		justify-content: flex-end;
		height: 127rpx;
		padding-right: 30rpx;
		box-shadow: 0rpx -6rpx 12rpx 2rpx rgba(0,0,0,0.09);
		border-radius: 32rpx 32rpx 0rpx 0rpx;
	}

	.box {
		/* border: 1px solid #005dff; */
		background: #E8FAE1;
		border-radius: 4rpx;
		color: #2FB57A;
		padding: 5upx 10upx;
		font-size: 22rpx;
		margin-top: 10rpx;
	}

	.popup_pay {
		width: 100%;
		position: relative;
		padding-bottom: 45rpx;
		/* height: 160px; */
		/* #ifndef MP-WEIXIN */
		/* height: 130px; */
		/* #endif */

	}

	.pay_btn {
		width: 90%;
		margin: 0 auto;
		text-align: center;
		background: #2FB57A;
		height: 80rpx;
		border-radius: 16rpx;
		color: #ffffff;
		line-height: 80rpx;

	}
</style>